Debian Bug report logs - #689615
dialog: autoconf update for arm64 building

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 4 Oct 2012 14:57:05 UTC

Severity: wishlist

Tags: patch, upstream

Found in version 1.1-20120215

Fixed in version dialog/1.1-20120215-3

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#689615; Package dialog. (Thu, 04 Oct 2012 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Thu, 04 Oct 2012 14:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: autoconf update for arm64 building
Date: Thu, 04 Oct 2012 15:54:56 +0100
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 1.1-20120215
Severity: wishlist
Tags: upstream patch

This package needs autoconf updates (to config.guess and config.sub)
to build for 64-bit arm. The arm64 port is stalled until this package
is updated.
                                                                                                                                                         
Support for aarch64 has been added to autotools config.guess and
config.sub in autotools 20120210.1

For upstream running autoreconf against autotools-dev 20120210.1 or
later will fix the autoconf part.

For the Debian package, if you wanted to keep this up to date
automatically in the future (generally a good idea) then adding
something like this to your distclean target would be effective: -test
-r /usr/share/misc/config.sub && cp -f /usr/share/misc/config.sub
config.sub -test -r /usr/share/misc/config.guess && cp -f
/usr/share/misc/config.guess config.guess (You could instead just make
those files links.) along with a build-dependency on autotools-dev
 
Please pass this bug report to upstream

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dialog depends on:
ii  debianutils               3.4            Miscellaneous utilities specific t
ii  libc6                     2.11.3-4       Embedded GNU C Library: Shared lib
ii  libncursesw5              5.7+20100313-5 shared libraries for terminal hand

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information
[dialog-1.1-20120215-autoconfupdate.patch (text/x-diff, attachment)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Wed, 10 Oct 2012 16:06:03 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Wed, 10 Oct 2012 16:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 689615-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 689615-close@bugs.debian.org
Subject: Bug#689615: fixed in dialog 1.1-20120215-3
Date: Wed, 10 Oct 2012 16:02:30 +0000
Source: dialog
Source-Version: 1.1-20120215-3

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 689615@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 10 Oct 2012 17:25:06 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20120215-3
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 689615
Changes: 
 dialog (1.1-20120215-3) unstable; urgency=low
 .
   * Updated config.guess and config.sub for arm64. Closes: #689615.
Checksums-Sha1: 
 ce916bc102a1bdb93b7672fd2410b69df6dce03e 1423 dialog_1.1-20120215-3.dsc
 4f54f024284d38a7bad65d62f9c2f043996d805a 17225 dialog_1.1-20120215-3.debian.tar.gz
 45cf10cc8598254e8cf09427a51d391fafdeaf19 323726 dialog_1.1-20120215-3_amd64.deb
Checksums-Sha256: 
 01c2c9acfa528e6f66bfacd013097cb47553a5ea0571d232aab7e45d74c7aa8e 1423 dialog_1.1-20120215-3.dsc
 b0bc6d1e712bef261e22e9ba009748892165417395f49c45fab45b441ee4e54d 17225 dialog_1.1-20120215-3.debian.tar.gz
 f1edf12045ffde0b59ce10b9170e5aae05dd003788db762f38942dbef9ebd30c 323726 dialog_1.1-20120215-3_amd64.deb
Files: 
 ca392e22fec119cd075c58b2bc16f665 1423 misc optional dialog_1.1-20120215-3.dsc
 a77487e868366f5324cae7454eaa4e9b 17225 misc optional dialog_1.1-20120215-3.debian.tar.gz
 5a5e9e5a792ae90de3a2ed7948ea6297 323726 misc optional dialog_1.1-20120215-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQdZeYAAoJEEHOfwufG4syToEH/2nxZDFrsi/5wuiB4h9Ro2+K
LOmkzF330LdVSxZEDx0+rWeDgwhsAAicU75+gxZPfPrpulGUT2m+c/lEafQSSRUk
b9VflmELrM9EJDQYBhDl9coJLsLFbCcB+SYlX1Qk/rgHlbGc4jWF8ZJi8SBxBdq1
WSxZcf+t8jJOUXpH055ChYMW8Mfc8SEgSl3E4w4tUCmynk5cnmytyl4989HWkl+5
NJaxwxpYzBhNj/Ff+Osni0Yv8Crf8Ke8UUTHqX5KvNnkIiXpDHGWgCaVboyADKkY
SRdLZNtZa57HBxs1k62Qswbs9gQxdrGBNI+OtkpQhWIFVTZfMU8/SaETuBpMScs=
=cgkR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 08 Nov 2012 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:51:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.